Subject: [VCARDDAV] [Technical Errata Reported] RFC6350 (3845)

From: RFC Errata System <[email-masked]>
Date: Fri, 20 Dec 2013 11:07:46 -0800 (PST)

The following errata report has been submitted for RFC6350,
"vCard Format Specification".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6350&eid=3845

--------------------------------------
Type: Technical
Reported by: David Riggle <[email-masked]>

Section: 6.2.4

Original Text
-------------
       PHOTO:data:image/jpeg;base64,MIICajCCAdOgAwIBAgICBEUwDQYJKoZIhv

Corrected Text
--------------
       PHOTO:data:image/jpeg;base64\,MIICajCCAdOgAwIBAgICBEUwDQYJKoZIhv

Notes
-----
Section 3.4 states that all property values must have COMMA characters escaped with a BACKSLASH character. The PHOTO property value in the example contains a comma. Therefore it must be escaped with a backslash. Note that there are several other uses of the "data:" URI scheme in the document that also need to be corrected.

Alternatively, a different format for base64 encoded data could be used in vCard 4.0. The ENCODING=b format used in vCard 3.0 wasn't so bad.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC6350 (draft-ietf-vcarddav-vcardrev-22)
--------------------------------------
Title               : vCard Format Specification
Publication Date    : August 2011
Author(s)           : S. Perreault
Category            : PROPOSED STANDARD
Source              : vCard and CardDAV
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Simon Perreault <[email-masked]>
Date: Fri, 20 Dec 2013 14:11:40 -0500

Verified.

Simon

-- 
DTN made easy, lean, and smart --> http://postellation.viagenie.ca
NAT64/DNS64 open-source        --> http://ecdysis.viagenie.ca
STUN/TURN server               --> http://numb.viagenie.ca

---

From: Cyrus Daboo <[email-masked]>
Date: Fri, 20 Dec 2013 15:11:59 -0500

Hi Simon,

> Verified.

Hrmm. Originally in vCard v3.0 only VALUE=TEXT values were escaped, but 
6350 does seem to imply that is true for any value.

However, the actual ABNF does not allow for escaped characters - it 
references the URI ABNF directly. So maybe a better choice here is to say 
that VALUE=URI does not need to be escaped. In fact that would be true for 
any of the non *-list ABNF value types (e.g. utc-offset, Language-Tag).

If we stick with the current wording, then this change in behavior really 
ought to also be called out in the "differences" - Appendix A - and the 
ABNF adjusted.

-- 
Cyrus Daboo

---

From: Simon Perreault <[email-masked]>
Date: Fri, 20 Dec 2013 15:17:04 -0500

Le 2013-12-20 15:11, Cyrus Daboo a écrit :
> references the URI ABNF directly. So maybe a better choice here is to
> say that VALUE=URI does not need to be escaped.

I don't think so. We've been over this many times: the problem is with 
new properties whose data type is unknown. A vCard parser cannot know 
that FUTUREPROP's value type is a URI.

> In fact that would be
> true for any of the non *-list ABNF value types (e.g. utc-offset,
> Language-Tag).
>
> If we stick with the current wording, then this change in behavior
> really ought to also be called out in the "differences" - Appendix A -
> and the ABNF adjusted.

Agreed.

Simon